<%@ page contentType="text/html" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Google Maps Location</title>
    <!-- Google Maps JavaScript API -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAiofE1T6K975oNisc37nvURK7c87XR7e4 &callback=initMap" async defer></script>
    <style>
        /* Set the size of the map container */
        #map {
            height: 400px;
            width: 100%;
        }
    </style>
</head>



<body>
<%
    // Fetch latitude and longitude from form inputs
    String latParam = request.getParameter("t1");
    String longParam = request.getParameter("t2");
    // Default values in case parameters are not provided
    double lati = 40.7128;  // Default latitude (New York)
    double longi = -74.0060; // Default longitude (New York)
    // If parameters exist, parse them to doubles
    if (latParam != null && !latParam.trim().isEmpty()) {
        lati = Double.parseDouble(latParam);
    }
    if (longParam != null && !longParam.trim().isEmpty()) {
        longi = Double.parseDouble(longParam);
    }
%>
<h3>Google Maps Location</h3>
<div id="map"></div>
<script>
    // Initialize the map
    function initMap() {
        var location = { lat: <%= lati %>, lng: <%= longi %> };  // Use JSP values for lat and lng
        // Create a new map centered on the location
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 10,  // Zoom level
            center: location  // Center the map on the provided coordinates
        });



        // Add a marker at the location
        var marker = new google.maps.Marker({
            position: location,
            map: map
        });
    }
</script>
</body>
</html>
